var inicio=0;

function aumentar(num){

inicio = num + 10;
Cargar();
}

function disminuir(num){

  if(num>0 ){
    inicio = num - 10;
    Cargar();
  }

}

function Cargar(){
document.location.href="ingresar_jornadas.php?pos="+inicio;
}


//----------------------------------------------------
$(document).ready(function(){

    $("#bton_insertar").click(function(){
         var parametros = {"accion":'mostrar_tabla'};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_jornada.php",
                    type: "POST",
                success: function(opciones){$("#insertar").html(opciones);}})});});
//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}

function Limpiar(){
    document.getElementById('CODIGO').value="";
    document.getElementById('DESCRIPCION').value="";
}

function Grabar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('CODIGO');
var v2=get('DESCRIPCION');

if (v1=="") {
    alert("Digite C&oacute;digo");
    return 0;
}
if (v2=="") {
    alert("Digite Descripci&oacute;n");
    return 0;
}

var parametros = {"accion":'grabar_jornada',
                          "codigo" :v1,
                          "descripcion" :v2

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_jornada.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        Limpiar();
                        document.location.href="ingresar_jornadas.php?pos="+p;
                }
        });

}

function Actualizar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('CODIGO');
var v2=get('DESCRIPCION');

if (v2=="") {
    alert("Digite Descripci&oacute;n");
    return 0;
}

var parametros = {"accion":'actualizar_jornada',
                          "codigo" :v1,
                          "descripcion" :v2

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_jornada.php",
                type:  'post',
                success:function (response){
                        document.location.href="ingresar_jornadas.php?pos="+p;
                        alert(response);
                }
        });

}

//------------------------------------------
function Eliminar(codigo,inicio,total){
   //alert ("CODIGO: "+codigo+ " - " +" INICIO: "+inicio+" - "+" TOTAL: "+total);

   if ((total>10) && (total-inicio==1)){
       inicio=inicio-10;
   }

   var parametros = {"accion":'borrar_jornada',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_jornada.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_jornadas.php?pos="+inicio;

                }
        });
}

//------------------------------------------
function Editar(codigo,inicio){
    
 
    var parametros = {"accion":'editar_jornada',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_jornada.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}

//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}


